From f8d62555652489fe9ebcc498bf6593bf9d46b60b Mon Sep 17 00:00:00 2001
From: Ramiro Polla <ramiro.polla@gmail.com>
Date: Fri, 8 Jan 2010 15:13:40 -0200
Subject: [PATCH] Use pkg-config to check for libmodplug, and check for version >= 0.8, which
 is needed for some functions like ModPlug_NumSamples(), ModPlug_GetMessage(),
 ModPlug_NumInstruments(), etc...

---
 configure.ac |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/configure.ac b/configure.ac
index 5251a21..0f810be 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2756,10 +2756,11 @@ then
       AC_MSG_ERROR([cannot find ${real_mod_tree}/src/.libs/libmodplug.a, make sure you compiled mod in ${with_mod_tree}])
     fi
   else
-    AC_CHECK_HEADERS(libmodplug/modplug.h, [
-      VLC_ADD_PLUGIN([mod])
-      VLC_ADD_CXXFLAGS([mod],[])
-      VLC_ADD_LIBS([mod],[-lmodplug -lstdc++])])
+    PKG_CHECK_MODULES(LIBMODPLUG, libmodplug >= 0.8,
+        [ VLC_ADD_PLUGIN([mod])
+          VLC_ADD_CXXFLAGS([mod],[$LIBMODPLUG_CFLAGS])
+          VLC_ADD_LIBS([mod],[$LIBMODPLUG_LIBS])
+        ],[AC_MSG_WARN([libmodplug not found!])])
   fi
 fi
 
-- 
1.5.4.3

